package com.shanghaichengdi.ghjgitem.domain;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 水位数据
 * @TableName WATER_LEVEL_DATA
 */
@Data
public class WaterLevelData implements Serializable {
    /**
     * 
     */
    private String id;

    /**
     * 
     */
    private Long devId;

    /**
     * 
     */
    private String at;

    /**
     * 
     */
    private String code;

    /**
     * 
     */
    private String codeName;

    /**
     * 
     */
    private String codeStDescription;

    /**
     * 
     */
    private String host;

    /**
     * 
     */
    private String loop;

    /**
     * 
     */
    private String point;

    /**
     * 
     */
    private String partition;

    /**
     * 
     */
    private String type;

    /**
     * 
     */
    private String auxTypeInfo;

    /**
     * 
     */
    private Date wtime;

    /**
     * 
     */
    private String devAdd;

    /**
     * 
     */
    private String devPos;

    /**
     * 
     */
    private String contact;

    /**
     * 
     */
    private String b1;

    /**
     * 
     */
    private String b2;

    /**
     * 
     */
    private String b3;

    /**
     * 
     */
    private Date createTime;

    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        WaterLevelData other = (WaterLevelData) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDevId() == null ? other.getDevId() == null : this.getDevId().equals(other.getDevId()))
            && (this.getAt() == null ? other.getAt() == null : this.getAt().equals(other.getAt()))
            && (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getCodeName() == null ? other.getCodeName() == null : this.getCodeName().equals(other.getCodeName()))
            && (this.getCodeStDescription() == null ? other.getCodeStDescription() == null : this.getCodeStDescription().equals(other.getCodeStDescription()))
            && (this.getHost() == null ? other.getHost() == null : this.getHost().equals(other.getHost()))
            && (this.getLoop() == null ? other.getLoop() == null : this.getLoop().equals(other.getLoop()))
            && (this.getPoint() == null ? other.getPoint() == null : this.getPoint().equals(other.getPoint()))
            && (this.getPartition() == null ? other.getPartition() == null : this.getPartition().equals(other.getPartition()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getAuxTypeInfo() == null ? other.getAuxTypeInfo() == null : this.getAuxTypeInfo().equals(other.getAuxTypeInfo()))
            && (this.getWtime() == null ? other.getWtime() == null : this.getWtime().equals(other.getWtime()))
            && (this.getDevAdd() == null ? other.getDevAdd() == null : this.getDevAdd().equals(other.getDevAdd()))
            && (this.getDevPos() == null ? other.getDevPos() == null : this.getDevPos().equals(other.getDevPos()))
            && (this.getContact() == null ? other.getContact() == null : this.getContact().equals(other.getContact()))
            && (this.getB1() == null ? other.getB1() == null : this.getB1().equals(other.getB1()))
            && (this.getB2() == null ? other.getB2() == null : this.getB2().equals(other.getB2()))
            && (this.getB3() == null ? other.getB3() == null : this.getB3().equals(other.getB3()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDevId() == null) ? 0 : getDevId().hashCode());
        result = prime * result + ((getAt() == null) ? 0 : getAt().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getCodeName() == null) ? 0 : getCodeName().hashCode());
        result = prime * result + ((getCodeStDescription() == null) ? 0 : getCodeStDescription().hashCode());
        result = prime * result + ((getHost() == null) ? 0 : getHost().hashCode());
        result = prime * result + ((getLoop() == null) ? 0 : getLoop().hashCode());
        result = prime * result + ((getPoint() == null) ? 0 : getPoint().hashCode());
        result = prime * result + ((getPartition() == null) ? 0 : getPartition().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getAuxTypeInfo() == null) ? 0 : getAuxTypeInfo().hashCode());
        result = prime * result + ((getWtime() == null) ? 0 : getWtime().hashCode());
        result = prime * result + ((getDevAdd() == null) ? 0 : getDevAdd().hashCode());
        result = prime * result + ((getDevPos() == null) ? 0 : getDevPos().hashCode());
        result = prime * result + ((getContact() == null) ? 0 : getContact().hashCode());
        result = prime * result + ((getB1() == null) ? 0 : getB1().hashCode());
        result = prime * result + ((getB2() == null) ? 0 : getB2().hashCode());
        result = prime * result + ((getB3() == null) ? 0 : getB3().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", devId=").append(devId);
        sb.append(", at=").append(at);
        sb.append(", code=").append(code);
        sb.append(", codeName=").append(codeName);
        sb.append(", codeStDescription=").append(codeStDescription);
        sb.append(", host=").append(host);
        sb.append(", loop=").append(loop);
        sb.append(", point=").append(point);
        sb.append(", partition=").append(partition);
        sb.append(", type=").append(type);
        sb.append(", auxTypeInfo=").append(auxTypeInfo);
        sb.append(", wtime=").append(wtime);
        sb.append(", devAdd=").append(devAdd);
        sb.append(", devPos=").append(devPos);
        sb.append(", contact=").append(contact);
        sb.append(", b1=").append(b1);
        sb.append(", b2=").append(b2);
        sb.append(", b3=").append(b3);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}